import request, { postBlob, handleImport, getBlob } from '@/utils/request'
export function getListTransferV2(params) {
  return request({
    url: `/customer/transfer/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}

export function exportListTransferV2(data, name) {
  return postBlob({
    url: '/customer/transfer/list/export',
    data,
    name
  })
}

export function addCustomerTransfer(data) {
  return request({
    url: '/customer/transfer/add',
    method: 'post',
    data
  })
}

export function updateCustomerTransfer(data) {
  return request({
    url: '/customer/transfer/update',
    method: 'post',
    data
  })
}

export function getCustomerTransferDetail(params) {
  return request({
    url: '/customer/transfer/detail',
    method: 'get',
    params
  })
}

export function examineCustomerTransfer(data) {
  return request({
    url: '/customer/transfer/examine',
    method: 'post',
    params: data
  })
}

export function invoiceCustomerTransfer(data) {
  return request({
    url: '/customer/transfer/invoice',
    method: 'post',
    params: data
  })
}

export function setNeExamine(data) {
  return request({
    url: '/customer/transfer/NeExamine',
    method: 'post',
    params: data
  })
}

export function dletransferDelete(data) {
  return request({
    url: '/customer/transfer/delete',
    method: 'post',
    params: data
  })
}

